## ros-jazzy-webots-ros2 2023.1.3

=== debian/changelog ===
ros-jazzy-webots-ros2 (2023.1.3-3bookworm) bookworm; urgency=high

  * Added support for ROS 2 Jazzy.
  * Make webots_ros2_driver scripts executable.
  * Fixed passing the robot_description parameter to ros2_control.
  * Fixed the produced URDF to also contain joint limits necessary for ros2_control.
  * Added support for the new ros2_control API affecting resource_manager and controller_manager.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.1.2-3bookworm) bookworm; urgency=high

  * Fixed errors showing up when launching moveit for ur5e.
  * Fixed nav2 turtlebot test failing very often.
  * Fixed build and tests for rolling.
  * Fixed deprecated ros_controls command: cmd_vel_unstamped.
  * Remove usage of deprecated resource manager method: activate_all_components().
  * Set is_urdf_loaded__ of the resource manager to true.

 -- Cyberbotics <support@cyberbotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.1.1-3bookworm) bookworm; urgency=high

  * Added deprecation message when declaring driver node in launch file.
  * Fixed RangeFinder activation to also check for point cloud subscriptions.
  * Added component remapping parameter to WebotsController to rename PROTO components.
  * Added animation_{start,stop}_recording services to Ros2Supervisor node.
  * Added /Ros2Supervisor namespace to Ros2Supervisor node.
  * Fixed Python plugin termination on SIGINT call or simulation ends.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.1.0-3bookworm) bookworm; urgency=high

  * Added Ros2Pen static plugin.
  * Added support for Navigation2 in Iron.
  * Clean simulation reset in launch files.
  * Fixed Universal Robot trajectory interpolation.
  * Added new TIAGo project to webots_ros2_tiago to run real robot configuration.
  * Added new WebotsController node in the driver interface to launch robot controller plugins.
  * Fixed unfound robot window library in Tesla example.
  * Default to canonical topic name and fix camera_info stamp in Ros2Camera, Ros2RangeFinder.
  * Added VacuumGripper gripper support in webots_ros2_driver.
  * Added BoolStamped message in webots_ros2_msgs.
  * Added GetBool service in webots_ros2_msgs.
  * Fixed webots_ros2_control component activation.

 -- Cyberbotics <support@cyberbotics.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.0.4-3bookworm) bookworm; urgency=high

  * Drop support for Foxy.
  * Fixed vertical field of view in static RangeFinder plugin.
  * Added support for painted point clouds.
  * Fixed ability to launch RViz without other tools in e-puck example.
  * Fixed command line arguments in importer tools.
  * Added custom handler in driver interface to start nodes when Webots is ready.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 22 May 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.0.3-3bookworm) bookworm; urgency=high

  * Fixed the calibration of the TIAGo.
  * Improved the navigation of the TIAGo example.
  * Added Cartographer for SLAM in the TIAGo example.
  * Adding port, stream type parameters to webots_laucher
  * Copying .wbproj when launching a Webots world via webots_launcher
  * Added Emitter and Receiver support in webots_ros2_driver
  * Changed undefined Lidar frequency to the default from the .proto file
  * Added Compass support in webots_ros2_driver
  * Added startup of the Turlebot navigation and mapping tools from the launch file.
  * Fixed the calibration of the e-puck.
  * Fixed and improved the navigation of the e-puck example.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.0.2-3bookworm) bookworm; urgency=high

  * Drop support for Galactic.
  * Fixed the spawn of URDF robots in WSL and macOS when using full path.
  * Fixed relative assets in macOS.
  * Ros2Supervisor is now optional.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 06 Feb 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.0.1-3bookworm) bookworm; urgency=high

  * Fixed relative assets in WSL.
  * Fixed broken controller connection in Rats life example.

 -- Cyberbotics <support@cyberbotics.com>  Wed, 04 Jan 2023 16:00:00 -0000

ros-jazzy-webots-ros2 (2023.0.0-3bookworm) bookworm; urgency=high

  * Added support for the new Python API of Webots R2023a
  * Convert C++ controller API functions to C
  * Replace libController submodule by commited source files
  * Removed 'webots_ros2_core' package (deprecated).
  * Allow custom motor-encoder pair.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 29 Nov 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (2022.1.4-3bookworm) bookworm; urgency=high

  * Fixed the camera focal length in the CameraInfo topic.
  * Upgraded to urdf2webots 2.0.3
  * Update the calculation of CameraRecognitionObject messages to the RDF convention of R2022b.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 17 Nov 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (2022.1.3-3bookworm) bookworm; urgency=high

  * Added macOS support.
  * Added reset handler to all examples to support simulation reset from Webots.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (2022.1.2-3bookworm) bookworm; urgency=high

  * Added WSL support.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 20 Oct 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (2022.1.0-3bookworm) bookworm; urgency=high

  * Adapted controllers to communicate with Webots R2022b.
  * Added feature to import URDF on the fly.
  * Added PointCloud2 support for RangeFinder.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 22 Sep 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (1.2.3-3bookworm) bookworm; urgency=high

  * Fixed support for Humble and Rolling.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 31 May 2022 16:00:00 -0000

ros-jazzy-webots-ros2 (1.1.2-3bookworm) bookworm; urgency=high


