=== debian/control ===
Source: ros-jazzy-webots-ros2
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-webots-ros2-tests <!nocheck>, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/webots_ros2
Standards-Version: 3.9.2

Package: ros-jazzy-webots-ros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-jazzy-builtin-interfaces, ros-jazzy-rclpy, ros-jazzy-std-msgs, ros-jazzy-webots-ros2-control, ros-jazzy-webots-ros2-driver, ros-jazzy-webots-ros2-epuck, ros-jazzy-webots-ros2-importer, ros-jazzy-webots-ros2-mavic, ros-jazzy-webots-ros2-msgs, ros-jazzy-webots-ros2-tesla, ros-jazzy-webots-ros2-tiago, ros-jazzy-webots-ros2-turtlebot, ros-jazzy-webots-ros2-universal-robot, ros-jazzy-ros-workspace
Description: Interface between Webots and ROS2
